package com.ningdatech.pmapi.projectlib.controller;

import com.ningdatech.basic.model.PageVo;
import com.ningdatech.pmapi.projectlib.manage.AnnualPlanLibManage;
import com.ningdatech.pmapi.projectlib.model.req.ProjectListReq;
import com.ningdatech.pmapi.projectlib.model.vo.AnnualPlanListItemVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * AnnualPlanController
 * </p>
 *
 * @author WendyYang
 * @since 14:07 2023/2/11
 */
@RestController
@AllArgsConstructor
@Api(tags = "年度计划库")
@RequestMapping("/api/v1/annualPlan")
public class AnnualPlanController {

    private final AnnualPlanLibManage annualPlanLibManage;

    @GetMapping("/list")
    @ApiOperation("年段计划库列表")
    public PageVo<AnnualPlanListItemVO> annualPlanLibList(ProjectListReq req) {
        return annualPlanLibManage.annulPlanLibList(req);
    }

}
