package com.ningdatech.pmapi.projectlib.model.req;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * ProjectLibListReq
 * </p>
 *
 * @author WendyYang
 * @since 14:35 2023/2/1
 */
@Data
@ApiModel("项目列表查询")
@EqualsAndHashCode(callSuper = true)
public class ProjectListReq extends PagePo {

    @ApiModelProperty("区域编码")
    private String regionCode;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("申报单位")
    private String buildOrg;

    @ApiModelProperty("项目类型")
    private Integer projectType;

    @ApiModelProperty("预算年度")
    private Integer projectYear;

    @ApiModelProperty("项目阶段")
    private Integer stage;

    @ApiModelProperty("项目状态")
    private Integer status;

    @ApiModelProperty("申报金额")
    private BigDecimal declareAmountMin;

    @ApiModelProperty("申报金额")
    private BigDecimal declareAmountMax;

    @ApiModelProperty("批复金额")
    private BigDecimal approveAmountMin;

    @ApiModelProperty("批复金额")
    private BigDecimal approveAmountMax;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOnMin;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOnMax;

    @ApiModelProperty("用户ID")
    private Long userId;

}
